﻿using System.Collections.Generic;

namespace TestCommon
{
    /// <summary>
    /// 학생
    /// </summary>
    public class Student
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public string ID { get; set; }

        #endregion
        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        public string Name { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 구하기 - GetData(dataCount)

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <param name="dataCount">데이터 카운트</param>
        /// <returns>데이터</returns>
        public static List<Student> GetData(int dataCount)
        {
            List<Student> list = new List<Student>();

            for(int i = 1; i <= dataCount; i++)
            {
                Student student = new Student();

                student.ID   = GUIDHelper.GetGUID();
                student.Name = string.Format("학생 {0}", i);

                list.Add(student);
            }

            return list;
        }

        #endregion
    }
}