﻿using System.IO;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 데이터 서비스 인터페이스
    /// </summary>
    [ServiceContract]
    public interface IDataService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 데이터 구하기 - GetData(dataID, conditionData)

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <param name="dataID">데이터 ID</param>
        /// <param name="conditionData">조건 데이터</param>
        /// <returns>데이터</returns>
        [OperationContract]
        Stream GetData(string dataID, string conditionData);

        #endregion
    }
}